nvme: add nvme opcodes, structures and helper functions
[fio.git] / tools / genfio
index 286d814de71506c0c187dd4a6b530b446b54e9b7..c9bc2f764d68dd9f412c712b0a1dba5d0416a90e 100755 (executable)
@@ -1,4 +1,4 @@
-#!/usr/bin/bash
+#!/bin/bash
 #
 #  Copyright (C) 2013 eNovance SAS <licensing@enovance.com>
 #  Author: Erwan Velu  <erwan@enovance.com>
@@ -22,7 +22,8 @@
 BLK_SIZE=
 BLOCK_SIZE=4k
 SEQ=-1
-TEMPLATE=/tmp/template.fio
+TEMPLATE=$(mktemp "${TMPDIR:-${TEMP:-/tmp}}/template.fio.XXXXXX") || exit $?
+trap 'rm -f "$TEMPLATE"' EXIT
 OUTFILE=
 DISKS=
 PRINTABLE_DISKS=
@@ -48,7 +49,7 @@ show_help() {
                                        one test after another then one disk after another
                                        Disabled by default
 -p                             : Run parallel test
-                                       one test after anoter but all disks at the same time
+                                       one test after another but all disks at the same time
                                        Enabled by default
 -D iodepth                     : Run with the specified iodepth
                                        Default is $IODEPTH